bzr 2.3.3 emits Deprecation Warnings about bzr 2.4

Bug #794960 reported by Alexander Belchenko on 2011-06-09
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Bazaar
Low
Vincent Ladeuil
bzr (Ubuntu)
Low
Jelmer Vernooij
Natty
Low
Jelmer Vernooij

Bug Description

That's harmless but rather odd to see DeprecationWarnings about bzr 2.4 while I'm running 2.3.3. Time machine in action?

C:\work\Bazaar\plugins\scmproj>make test
bzr selftest -s bzrlib.plugins.scmproj
bzr selftest: C:\Program Files\Bazaar\bzr.exe
   C:\Program Files\Bazaar\lib\library.zip\bzrlib
   bzr-2.3.3 python-2.6.6 Windows-XP-5.1.2600-SP3

C:\work\Bazaar\plugins\scmproj\tests\test_project.py:553: DeprecationWarning: bzrlib.plugins.scmproj.tests.test_project.TestProj
ect.failUnlessExists was deprecated in version 2.4.
C:\work\Bazaar\plugins\scmproj\tests\test_project.py:570: DeprecationWarning: bzrlib.plugins.scmproj.tests.test_project.TestProj
ect.failUnlessExists was deprecated in version 2.4.
C:\work\Bazaar\plugins\scmproj\tests\test_project.py:571: DeprecationWarning: bzrlib.plugins.scmproj.tests.test_project.TestProj
ect.failIfExists was deprecated in version 2.4.
C:\work\Bazaar\plugins\scmproj\tests\test_project.py:717: DeprecationWarning: bzrlib.plugins.scmproj.tests.test_project.TestProj
ectLocal_v1.failUnlessExists was deprecated in version 2.4.
C:\work\Bazaar\plugins\scmproj\tests\test_project.py:639: DeprecationWarning: bzrlib.plugins.scmproj.tests.test_project.TestProj
ectLocal_v2.failUnlessExists was deprecated in version 2.4.
C:\work\Bazaar\plugins\scmproj\tests\test_project.py:654: DeprecationWarning: bzrlib.plugins.scmproj.tests.test_project.TestProj
ectLocal_v2.failUnlessExists was deprecated in version 2.4.
C:\work\Bazaar\plugins\scmproj\tests\test_project.py:624: DeprecationWarning: bzrlib.plugins.scmproj.tests.test_project.TestProj
ectLocal_v2.failUnlessExists was deprecated in version 2.4.
C:\work\Bazaar\plugins\scmproj\tests\test_project.py:608: DeprecationWarning: bzrlib.plugins.scmproj.tests.test_project.TestProj
ectLocal_v2.failUnlessExists was deprecated in version 2.4.
C:\work\Bazaar\plugins\scmproj\tests\test_project.py:1049: DeprecationWarning: bzrlib.plugins.scmproj.tests.test_project.TestSub
projects_v1.failUnlessExists was deprecated in version 2.4.
C:\work\Bazaar\plugins\scmproj\tests\test_project.py:1072: DeprecationWarning: bzrlib.plugins.scmproj.tests.test_project.TestSub
projects_v1.failUnlessExists was deprecated in version 2.4.
C:\work\Bazaar\plugins\scmproj\tests\test_project.py:1075: DeprecationWarning: bzrlib.plugins.scmproj.tests.test_project.TestSub
projects_v1.failUnlessExists was deprecated in version 2.4.
C:\work\Bazaar\plugins\scmproj\tests\test_project.py:1077: DeprecationWarning: bzrlib.plugins.scmproj.tests.test_project.TestSub
projects_v1.failUnlessExists was deprecated in version 2.4.
----------------------------------------------------------------------
Ran 91 tests in 24.609s

OK

Related branches

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 6/9/2011 12:29 PM, Alexander Belchenko wrote:
> Public bug reported:
>
> That's harmless but rather odd to see DeprecationWarnings about bzr 2.4
> while I'm running 2.3.3. Time machine in action?
>
>

Actually, that is *python-2.4* deprecated the
"unittest.TestCase.failUnlessExists" function. It just happens that
python2.6 turned on the warnings to be visible.

John
=:->

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (Cygwin)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk3wpCgACgkQJdeBCYSNAAP+rgCfXpPIqMxXgppf4D5IV/y7XBoj
R0EAoLhYbY6i543btudQgQohRb+Wykew
=Af7b
-----END PGP SIGNATURE-----

John A Meinel пишет:
> On 6/9/2011 12:29 PM, Alexander Belchenko wrote:
>> Public bug reported:
>>
>> That's harmless but rather odd to see DeprecationWarnings about bzr 2.4
>> while I'm running 2.3.3. Time machine in action?
>
> Actually, that is *python-2.4* deprecated the
> "unittest.TestCase.failUnlessExists" function. It just happens that
> python2.6 turned on the warnings to be visible.

I don't think so.

bzrlib/tests/__init__.py has the following code (in 2.3 branch):

@symbol_versioning.deprecated_method(symbol_versioning.deprecated_in((2,
4)))
     def failUnlessExists(self, path):
         return self.assertPathExists(path)

--
All the dude wanted was his rug back

As I can see this is related to https://bugs.launchpad.net/bugs/760435

Vincent made backport of deprecation changes from bzr trunk and
therefore some functions from bzr 2.4 now moans about incompatibility
with bzr 2.4.

I don't know if it's intended or just result of not very well backport.
Anyway I don't think it worth to spend a time on it.

Changed in bzr:
status: New → Won't Fix
Vincent Ladeuil (vila) wrote :

Crap :-(

   modified bzrlib/tests/__init__.py

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py 2011-05-13 10:59:20 +0000
+++ bzrlib/tests/__init__.py 2011-06-09 12:06:08 +0000
@@ -1450,7 +1450,6 @@
         else:
             self.assertEqual(expected_docstring, obj.__doc__)

- @symbol_versioning.deprecated_method(symbol_versioning.deprecated_in((2, 4)))
     def failUnlessExists(self, path):
         return self.assertPathExists(path)

@@ -1463,7 +1462,6 @@
             self.assertTrue(osutils.lexists(path),
                 path + " does not exist")

- @symbol_versioning.deprecated_method(symbol_versioning.deprecated_in((2, 4)))
     def failIfExists(self, path):
         return self.assertPathDoesNotExist(path)

Should be enough to get rid of it.

It doesn't make sense to care about deprecations there, the only effect is to annoy people like bialix, and I don't like that :)

I'll fix.

Changed in bzr:
status: Won't Fix → In Progress
assignee: nobody → Vincent Ladeuil (vila)
importance: Undecided → Low
Vincent Ladeuil (vila) on 2011-06-09
Changed in bzr:
milestone: none → 2.3.4
status: In Progress → Fix Released
Jelmer Vernooij (jelmer) on 2011-07-14
Changed in bzr (Ubuntu):
status: New → Triaged
importance: Undecided → Low
Changed in bzr (Ubuntu Natty):
status: New → In Progress
importance: Undecided → Low
assignee: nobody → Jelmer Vernooij (jelmer)

Hello Alexander, or anyone else affected,

Accepted bzr into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in bzr (Ubuntu Natty):
status: In Progress → Fix Committed
tags: added: verification-needed
Jelmer Vernooij (jelmer) wrote :

Verified by running the bzr testsuite from the package in a clean natty install.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bzr - 2.3.4-0ubuntu1

---------------
bzr (2.3.4-0ubuntu1) natty-proposed; urgency=low

  * New upstream release.
   + Fix bzr version number in deprecation warnings. LP: #794960
   + Prevent write attemps on remote branch during "bzr up". LP: #786980
   + Fix conflict handling when two trees involved in a merge have different
     root ids. LP: #805809

bzr (2.3.3-0ubuntu1) natty-proposed; urgency=low

  * New upstream release.
   + Fixes deprecation warning on newer versions of Python. LP: #760435
   + Stops 'bzr push' from copying entire repository if a .bzr directory is
     present without a branch. LP: #465517
   + Fixes undefined local variable error when waiting for lock. LP: #733136
   + Fixes lock contention issues pushing to a bound branch. LP: #733350
   + Transfers less data creating a new stacked branch. LP: #737234
   + Several fixes to the test suite, making it more robust. LP: #654733,
      LP: #751824
   + 'bzr merge --pull --preview' actually shows a preview rather than
     actually merging. LP: #760152
   + bzr smart server now supports UTF-8 user names. LP: #659763
   + user identity can now be set based on username and /etc/mailname, not
     requiring it to be set manually. LP: #616878
   + stacking is now fully transitive. LP: #715000
   + makes in-terminal crash report of plugins much shorter. LP: #716389
 -- Jelmer Vernooij <email address hidden> Thu, 14 Jul 2011 21:12:58 +0200

Changed in bzr (Ubuntu Natty):
status: Fix Committed → Fix Released
Jelmer Vernooij (jelmer) on 2011-08-14
Changed in bzr (Ubuntu):
assignee: nobody → Jelmer Vernooij (jelmer)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bzr - 2.4.0-0ubuntu1

---------------
bzr (2.4.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
   + Fixes version number in deprecation warnings. LP: #794960
   + Fixes some spelling mistakes in manual page. LP: #814311
   + Prevents taking file system locks in read only transactions.
     LP: #786980
   + Fix support for configuration files containing UTF-8 data.
     LP: #688677
 -- Jelmer Vernooij <email address hidden> Sun, 14 Aug 2011 02:35:33 +0200

Changed in bzr (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers